%define altmenu_section Applications/Sound

Name: gnomeradio
Version: 1.6
Release: alt1

Summary: A FM-Tuner program for Gnome desktop
Summary(ru_RU.KOI8-R): FM-  GNOME.
License: GPL
Group: Sound
Url: http://mfcn.ilo.de/%name

Source: http://www.wh-hms.uni-ulm.de/~mfcn/shared/%name/%name-%version.tar.gz

%define scrollkeeper_ver 0.3.14
%define GConf_ver 2.10.0

PreReq: GConf2 >= %GConf_ver
PreReq: scrollkeeper >= %scrollkeeper_ver

BuildPreReq: GConf2 >= %GConf_ver
BuildPreReq: scrollkeeper >= %scrollkeeper_ver
BuildPreReq: menu-devel

# Automatically added by buildreq on Thu Jan 27 2005
BuildRequires: GConf2 ORBit2-devel XFree86-libs XFree86-devel esound fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel liblirc-devel libpango-devel libpopt-devel libstdc++-devel libxml2-devel perl-XML-Parser pkgconfig scrollkeeper

%description
Gnomeradio is a FM radio tuner for the GNOME desktop. It should work
with every FM tuner card that is supported by video4linux. Remote
controls are supported via lirc-support. Gnomeradio can also record
radio as a Wave, MP3 or Ogg files.

%prep
%setup -q

%build
%configure \
    --disable-install-schemas

%make_build

%install
%makeinstall

# menu
%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl %name "%altmenu_section" \
    %buildroot%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name

# remove non-packaged files
%__rm -rf %buildroot/var

%find_lang --with-gnome %name

%post
%gconf2_install %name
%update_scrollkeeper
%update_menus

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%postun
%clean_scrollkeeper
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/applications/*
%_datadir/pixmaps/*
%_menudir/*
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS ChangeLog NEWS README* TODO

%changelog
* Mon Apr 18 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.6-alt1
- 1.6

* Thu Jan 27 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.5-alt1
- First build for Sisyphus.
